Bug 30182 - background_jobs.status should be an ENUM
Summary: background_jobs.status should be an ENUM
Status: Failed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-25 10:26 UTC by Tomás Cohen Arazi
Modified: 2022-06-01 01:08 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 30182: Make background_jobs.status an ENUM (2.14 KB, patch)
2022-02-25 10:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30182: DBIC update (1.75 KB, patch)
2022-02-25 10:56 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30182: DBIC update (1.75 KB, patch)
2022-05-24 17:22 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30182: Make background_jobs.status an ENUM (2.18 KB, patch)
2022-05-24 19:23 UTC, David Nind
Details | Diff | Splinter Review
Bug 30182: DBIC update (1.80 KB, patch)
2022-05-24 19:23 UTC, David Nind
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2022-02-25 10:26:31 UTC

    
Comment 1 Tomás Cohen Arazi 2022-02-25 10:35:47 UTC
Created attachment 131109 [details] [review]
Bug 30182: Make background_jobs.status an ENUM

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2022-02-25 10:56:17 UTC
Created attachment 131110 [details] [review]
Bug 30182: DBIC update

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 David Nind 2022-04-19 19:20:36 UTC
Patch no longer applies 8-(

 git bz apply 30182

Bug 30182 - background_jobs.status should be an ENUM

131109 - Bug 30182: Make background_jobs.status an ENUM
131110 - Bug 30182: DBIC update

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 30182: Make background_jobs.status an ENUM
Applying: Bug 30182: DBIC update
Using index info to reconstruct a base tree...
M	Koha/Schema/Result/BackgroundJob.pm
Falling back to patching base and 3-way merge...
Auto-merging Koha/Schema/Result/BackgroundJob.pm
CONFLICT (content): Merge conflict in Koha/Schema/Result/BackgroundJob.pm
error: Failed to merge in the changes.
Patch failed at 0001 Bug 30182: DBIC update
hint: Use 'git am --show-current-patch=diff' to see the failed patch


Testing notes:
- Before patch is applied show details for column in the database: 
  . show create table background_jobs;
  .  select * from background_jobs where status=0;
- After patch is applied: should show enum values as per the patch
Comment 4 Tomás Cohen Arazi 2022-05-24 17:22:38 UTC
Created attachment 135327 [details] [review]
Bug 30182: DBIC update

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 David Nind 2022-05-24 19:23:08 UTC
Created attachment 135330 [details] [review]
Bug 30182: Make background_jobs.status an ENUM

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2022-05-24 19:23:13 UTC
Created attachment 135331 [details] [review]
Bug 30182: DBIC update

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Jonathan Druart 2022-05-31 08:30:53 UTC
admin/background_jobs.tt has also "running" and "failed".
Not sure "running" actually exists/makes sense. But "failed" does.